﻿@charset "utf-8";

/*視窗背景色設定*/
body{
    margin:0;
    font-family:Arial, 微軟正黑體;
    
    /* ===== 背景設定（Lesson 8）===== */
    background-color:#e6f2ff;
    background-image:url(img/images.jpg); /* 底圖 */
    background-repeat:no-repeat;
    background-position:center;
    background-attachment:fixed;
    background-size:cover;
}

.logo{
    font-size:40px;
    text-align:center;
    padding:20px;
    
    /* 漸層背景 */
    background: linear-gradient(to right, #4facfe, #00f2fe);
    
    color:white;
    border-radius:15px;
    text-shadow:2px 2px 5px black;
    box-shadow:0px 5px 10px gray;
    margin:20px;
}

/* ===== nav ===== */
nav{
    text-align:center;
    margin-bottom:20px;
}

/* ===== class 選擇器 ===== */
.menu a{
    text-decoration:none;
    margin:10px;
    color:#333;
    font-weight:bold;
}

/* ===== 虛擬類別 ===== */
.menu a:hover{
    color:red;
}

/* ===== section 區塊 ===== */
section{
    background-color:white;
    margin:20px;
    padding:20px;
    border-radius:15px;
    box-shadow:0px 3px 8px gray;
}

/* ===== id 選擇器 ===== */
#about{
    border-left:8px solid #4facfe;
}

/* ===== 虛擬元素 ===== */
p::first-letter{
    font-size:24px;
    color:blue;
    font-weight:bold;
}

/* ===== 圖片 ===== */
.photo{
    width:200px;
    border-radius:10px;
}

.corner{
    width:100px;
    height:100px;
    position:fixed;
    background-repeat:no-repeat;
    background-size:contain;
}

/* 四個角 */
